Bug 221309 - Review Request: python-twisted-news - Twisted News is an NNTP server and programming library
Review Request: python-twisted-news - Twisted News is an NNTP server and pro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 221310
  Show dependency treegraph
 
Reported: 2007-01-03 13:51 EST by Thomas Vander Stichele
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 06:19:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Vander Stichele 2007-01-03 13:51:24 EST
Spec URL: http://thomas.apestaart.org/download/pkg/fedora-6-x86_64-extras/python-twisted-news-0.2.0-3.fc6/python-twisted-news.spec
SRPM URL: http://thomas.apestaart.org/download/pkg/fedora-6-x86_64-extras/python-twisted-news-0.2.0-3.fc6/python-twisted-news-0.2.0-3.fc6.x86_64.rpm
Description:
Twisted is an event-based framework for internet applications.

Twisted News is an NNTP protocol (Usenet) programming library. The
library contains server and client protocol implementations. A simple
NNTP server is also provided.
Comment 1 Kevin Fenzi 2007-01-03 23:25:01 EST
In an effort to get these subpackages all reviewed and pushed in, I would be
happy to review this. 

Look for a full review in a bit here. 
Comment 2 Kevin Fenzi 2007-01-04 00:04:17 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
62a93645867bacad4a4ca4d45e9ce090  TwistedNews-0.2.0.tar.bz2
62a93645867bacad4a4ca4d45e9ce090  TwistedNews-0.2.0.tar.bz2.1
b20aefb6002b6810361163b90f6d7a59ec9383ff  TwistedNews-0.2.0.tar.bz2
b20aefb6002b6810361163b90f6d7a59ec9383ff  TwistedNews-0.2.0.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK(i386/x86_64) - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. rpmlint says:

E: python-twisted-news no-binary
Can be ignored in this case.

I don't see any blockers here, so this package is APPROVED.
Don't forget to close this request NEXTRELEASE once it's been
imported and built.

Note You need to log in before you can comment on or make changes to this bug.